Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class MultiColElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.MultiColElement

public class MultiColElement
extends SinglePartElement

Use a MultiColElement to display text in a multicolumn format on an HtmlPage. MultiColElements can be nested, but test within nested MultiColElements may become unreadable. This HTML element is currently supported by Netscape 3.0.

Version:
  2.1
Author:
  Copyright (c) 1996 by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`MultiColElement(int cols, HtmlElement contents)` Deprecated. Constructs a MultiColElement with the specified number of columns.
`MultiColElement(int cols, int gutter, int width, HtmlElement contents)` Deprecated. Constructs a MultiColElement with the specified number of columns, gutter space, and column width.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printBody()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`MultiColElement` | `setCols(int cols)` Deprecated. Sets the number of columns in a MultiColElement.
`MultiColElement` | `setContents(HtmlElement contents)` Deprecated. Sets the contents of a MultiColElement.
`MultiColElement` | `setGutter(int gutter)` Deprecated. Sets the gutter space (in pixels) between columns in a MultiColElement.
`MultiColElement` | `setWidth(int width)` Deprecated. Sets the width of columns in a MultiColElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiColElement

    public MultiColElement(int cols,
                           HtmlElement contents)

  Deprecated.
  Constructs a MultiColElement with the specified number of columns. Unless width is specified, the column width is adjusted to fill the available view.

  Parameters:
    `cols` - Number of columns
    `contents` - HtmlElement contents

### MultiColElement

    public MultiColElement(int cols,
                           int gutter,
                           int width,
                           HtmlElement contents)

  Deprecated.
  Constructs a MultiColElement with the specified number of columns, gutter space, and column width. Default gutter space is 10 pixels. All columns are always the same width.

  Parameters:
    `cols` - Number of columns
    `gutter` - Pixels between each column
    `width` - Width of each column in pixels
    `contents` - HtmlElement contents

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### setCols

    public MultiColElement setCols(int cols)

  Deprecated.
  Sets the number of columns in a MultiColElement. There must be at least 1 column in a MultiColElement.

  Parameters:
    `cols` - Number of columns
  Returns:
    MultiColElement

### setContents

    public MultiColElement setContents(HtmlElement contents)

  Deprecated.
  Sets the contents of a MultiColElement.

  Parameters:
    `contents` - HtmlElement
  Returns:
    MultiColElement

### setGutter

    public MultiColElement setGutter(int gutter)

  Deprecated.
  Sets the gutter space (in pixels) between columns in a MultiColElement.

  Parameters:
    `gutter` - Pixels between columns
  Returns:
    MultiColElement

### setWidth

    public MultiColElement setWidth(int width)

  Deprecated.
  Sets the width of columns in a MultiColElement. All columns are the same width.

  Parameters:
    `width` - Number of columns
  Returns:
    MultiColElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD